vos unlockvldb             AFS Commands          vos unlockvldb


NAME

   vos  unlockvldb -- unlock  all  specified locked entries in

                       the VLDB.


   vos unlockvldb  [-server <machine name>]  [-partition
   <partition name>]
   [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos unlockv  [-s <machine name>] [-p <partition name>]
   [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

DESCRIPTION

   Releases the lock on  the  VLDB  entries  indicated  by  the
   combination of arguments provided.  To unlock:

      - all entries in the VLDB, provide no arguments.

      - all  entries that mention a file server machine in
        a site definition, provide its name with -server.

      - all entries that mention a partition on  any  file
        server  machine  in a site definition, provide the
        partition name with -partition.

      - all entries that mention a specific site,  provide
        both -server and -partition.

      - a   single  volume,  use  the  vos unlock  command
        instead.

WARNING

   This   command   should   not   be   issued   under   normal
   circumstances.

   It  is  useful if VLDB entries for volumes at a certain site
   are locked but there is no reason to  suspect  inconsistency
   within  the volume or between it and the VLDB.  Note that it
   is possible to list information from  locked  VLDB  entries,
   even though they cannot be manipulated in other ways.

   The  vos lock command locks a VLDB entry so that no one else
   may perform an action that would require writing the VLDB.

ARGUMENTS

   -server         names the file server machine for  which  to
                   unlock  VLDB  entries.  Abbreviated forms of
                   machine names may be  allowed  depending  on
                   the naming service available at the time the
                   command is  issued;  see  page  xii  in  the
                   introductory   About  This  Manual  chapter.
                   -partition
                   names the partition for which to unlock VLDB



                   entries.  In addition to  the  full  /vicepx
                   form  of  a  partition  name,  three shorter
                   forms are acceptable; see page  xii  in  the
                   introductory   About  This  Manual  chapter.
                   -cell
                   specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLES

   The following unlocks all locked entries in the VLDB.

   % vos unlockvldb

   The  following  unlocks all locked VLDB entries that mention
   /vicepa in a site definition.

   % vos unlockvldb -p a

   The following unlocks all locked VLDB entries that refer  to
   volumes on the /vicepc partition of fs3.transarc.com.

   % vos unlockvldb fs3.transarc.com c

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos lock vos unlock
